ATA_PCI_INIT_ONE(9)

NAME
ata_pci_init_one - Initialize/register PCI IDE host controller

SYNOPSIS

int ata_pci_init_one (struct pci_dev * pdev, struct ata_port_info ** port_info, unsigned int n_ports);

ARGUMENTS

pdev
    Controller to be initialized

port_info
    Information from low-level host driver

n_ports
    Number of ports attached to host controller

DESCRIPTION

This is a helper function which can be called from a driver's xxx_init_one probe function if the hardware uses traditional IDE taskfile registers.

This function calls pci_enable_device, reserves its register regions, sets the dma mask, enables bus master mode, and calls ata_device_add

LOCKING

Inherited from PCI layer (may sleep).

RETURNS

Zero on success, negative on errno-based value on error.

AUTHOR
Jeff Garzik.